Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.depend
Class Depend

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.optional.depend.Depend

public class Depend
extends MatchingTask

Generate a dependency file for a given set of classes

Author:
  Conor MacNeill

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Depend()`

Method Summary
`void` | `execute()` Does the work.
`protected void` | `scanDir(java.io.File srcDir, java.lang.String[] files)` Scans the directory looking for source files that are newer than their class files.
`void` | `setCache(java.io.File cache)`
`void` | `setClosure(boolean closure)`
`void` | `setDestDir(Path destPath)` Set the destination directory where the compiled java files exist.
`void` | `setSrcdir(Path srcPath)` Set the source dirs to find the source Java files.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Depend

    public Depend()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Does the work.
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - Thrown in unrecovrable error.

### scanDir

    protected void scanDir(java.io.File srcDir,
                           java.lang.String[] files)

  Scans the directory looking for source files that are newer than their class files. The results are returned in the class variable compileList

### setSrcdir

    public void setSrcdir(Path srcPath)

  Set the source dirs to find the source Java files.

### setDestDir

    public void setDestDir(Path destPath)

  Set the destination directory where the compiled java files exist.

### setCache

    public void setCache(java.io.File cache)

### setClosure

    public void setClosure(boolean closure)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.